return require('packer').startup(function()
    use 'morhetz/gruvbox'

    -- Status line
    use {
        'hoob3rt/lualine.nvim',
        config = function ()
            require('lualine').setup{
                options = {
                    icons_enabled = true,
                    theme = 'gruvbox',
                    component_separators = {'', ''},
                    section_separators = {'', ''},
                    disabled_filetypes = {}
                },
                sections = {
                    lualine_a = {'mode'},
                    lualine_b = {'branch'},
                    lualine_c = {'filename'},
		    lualine_x = {
			    { 'diagnostics', sources = {"nvim_lsp"}, symbols = {error = ' ', warn = ' ', info = ' ', hint = ' '} },
			    'encoding',
			    'filetype'
		    },
                    lualine_y = {'progress'},
                    lualine_z = {'location'}
                },
                inactive_sections = {
                    lualine_a = {},
                    lualine_b = {},
                    lualine_c = {'filename'},
                    lualine_x = {'location'},
                    lualine_y = {},
                    lualine_z = {}
                },
                tabline = {},
                extensions = {}
            }
        end
    }

    use 'tpope/vim-fugitive'
    use 'mhinz/vim-signify'

    use 'tpope/vim-surround'
    use 'tpope/vim-repeat'

    use 'neovim/nvim-lspconfig'
    use 'hrsh7th/nvim-compe'
    use 'hrsh7th/vim-vsnip'
    use 'hrsh7th/vim-vsnip-integ'
    use 'rafamadriz/friendly-snippets'

    use 'nvim-lua/popup.nvim'
    use 'nvim-lua/plenary.nvim'
    use 'nvim-telescope/telescope.nvim'

    use 'lervag/vimtex'

    --  Highlight on Yank 
    use 'machakann/vim-highlightedyank'
    --  Autoclose parenthesis
    use 'jiangmiao/auto-pairs'

end)
